<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/

include('load_this/preloader_header.php');

?>
<?php echo go_fetch_form('cart_quantity', go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_69], 'action=update_item')); ?>
<table border="0" style="width:100%" cellspacing="0" cellpadding="0">
<tr>
<td><?php echo go_fetch_dividing_up('tranparentes.gif', '100%', '10'); ?></td>
</tr>
<?php    


if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/affili_shop')) {
	require(FOLDER_ABSOLUT_CATALOG . 'modules/affili_shop/content/main_bigware_69.tpl.php');
}

if ($cart->count_contents() > 0) {
	?>
		<tr> 
		<td>
		<?php
		$info_frame_contents = array();

	if (STYLE_CSS == '1'){
		$params = 'class="header_items_listing_css"';
	}else{
		$params = 'class="itemListing-heading"';
	}

	$info_frame_contents[0][] = array('align' => 'center',
			'params' => $params,
			'text' => DB_TBL_ABOVE_REMOVE);
	$info_frame_contents[0][] = array('params' => $params,
			'text' => DB_TBL_ABOVE_ITEMS);
	$info_frame_contents[0][] = array('align' => 'center',
			'params' => $params,
			'text' => DB_TBL_ABOVE_QUANTITY);
	$info_frame_contents[0][] = array('align' => 'right',
			'params' => $params,
			'text' => DB_TBL_ABOVE_TOTAL);
	$any_out_of_stock = 0;

	$items = $cart->get_items();
	if (OPTIMIZE_ORDER == 'true'){    
		if ($attendee_id != ''){
			$check_query = go_db_query("select count(*) as count from temp_serialize where user = '" . $attendee_id . "'");
			$check = go_db_fetch_array($check_query);
			if ($check['count'] > 0) {
				go_db_query("delete from temp_serialize where user = '" . $attendee_id . "'");
			}
			//			$hidden_field = array_in_one_hidden_encode($items);
			$my_items = objekt_encode($items);
			go_db_query("insert into temp_serialize (user, serialize_code, was) values ('" . $attendee_id . "', '" . $my_items . "', 'get_items')"); 
		}
	}

	for ($i=0, $n=sizeof($items); $i<$n; $i++) {

		$only_for_affili_shop_items_id = $items[$i]['id'];

		if ($items[$i]['items_price_option'] > 0){
			$getImMeterQuery[$i] = go_db_query("select immeter, inmeter_breite from price_option where id=".$items[$i]['items_price_option']);
			$getImMeter[$i] = mysqli_result($getImMeterQuery[$i],0,'immeter');
			$getInMeter_breite[$i] = mysqli_result($getImMeterQuery[$i],0,'inmeter_breite');
		}else {
			$getImMeter[$i]=1000;
			$getInMeter_breite[$i]=1000;
		}
		if (go_session_is_registered('attendee_id')) {


			if ($items[$i]['items_price_option'] != '0'){	
				$item_laenge_breite_query = go_db_query("select attendees_basket_laenge, attendees_basket_breite, attendees_basket_price_option, price_option_comment from " . DB_TBL_ATTENDEES_BASKET . " where attendees_id = '" . (int)$attendee_id . "' and items_id = '" . $items[$i]['id'] . "'");	
				if (@go_db_num_rows($item_laenge_breite_query)!=0) {					
					$item_laenge_breite_result = go_db_fetch_array($item_laenge_breite_query);
					$items[$i]['laenge'] = $item_laenge_breite_result['attendees_basket_laenge'];
					$items[$i]['breite'] = $item_laenge_breite_result['attendees_basket_breite'];
					$items[$i]['price_option_comment'] = $item_laenge_breite_result['price_option_comment'];
				}
				else {
					if ($items[$i]['laenge']=="") {$items[$i]['laenge']=1000;}
					if ($items[$i]['breite']=="") {$items[$i]['breite']=1000;}
				}		
			}
			else {
				if ($items[$i]['laenge']=="") {$items[$i]['laenge']=1000;}
				if ($items[$i]['breite']=="") {$items[$i]['breite']=1000;}
			}		
		}
		else {
			if ($items[$i]['laenge']=="") {$items[$i]['laenge']=1000;}
			if ($items[$i]['breite']=="") {$items[$i]['breite']=1000;}
		}


		// Loopthrough1
		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/masseinheitenartikel')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/masseinheitenartikel/content/main_bigware_69.tpl.php');
		}
		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/domain_reg')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/domain_reg/content/main_bigware_69b.tpl.php');
		}
		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/extra_costumer_input_for_items')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/extra_costumer_input_for_items/content/main_bigware_69.tpl.php');
		}
		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/download')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/download/content/main_bigware_69.tpl.php');
		}


		if (isset($items[$i]['characteristics']) && is_array($items[$i]['characteristics'])) {
			while (list($option, $value) = each($items[$i]['characteristics'])) {
				if (is_array($value)) {
					$value_keys = array_keys($value);
					for ($v=0;$v<sizeof($value_keys);$v++){
						echo go_fetch_hidden_field('id[' . $items[$i]['id'] . '][' . $option . ']['.$value_keys[$v].']', $value[$value_keys[$v]]);
					}
				}
				else {
					echo go_fetch_hidden_field('id[' . $items[$i]['id'] . '][' . $option . ']', $value);}

				if (KONFIGURATOR=='true'){

					if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/konfigurator')) {
						include(FOLDER_ABSOLUT_CATALOG . 'modules/konfigurator/content/main_bigware_69a.tbl.php');
					}
					else{
						if (is_array($value)){
							$value_keys = array_keys($value);
							for ($v=0;$v<sizeof($value_keys);$v++){
								$characteristics = go_db_query("select popt.items_options_conf_name, poval.items_options_conf_values_name, pa.options_conf_values_price, pa.price_prefix, pa.items_characteristics_conf_id
										from " . DB_TBL_ITEMS_OPTIONS_CONF . " popt, " . DB_TBL_ITEMS_OPTIONS_CONF_VALUES . " poval, " . DB_TBL_ITEMS_CHARACTERISTICS_CONF . " pa
										where pa.items_id = '" . $items[$i]['id'] . "'
										and pa.options_conf_id = '" . $option . "'
										and pa.options_conf_id = popt.items_options_conf_id
										and pa.options_conf_values_id = '" . $value[$value_keys[$v]] . "'
										and pa.options_conf_values_id = poval.items_options_conf_values_id
										and popt.language_id = '" . $languages_id . "'
										and poval.language_id = '" . $languages_id . "'");
								$characteristics_values = go_db_fetch_array($characteristics);
								$items[$i][$option]['items_options_conf_name'][$value_keys[$v]] = $characteristics_values['items_options_conf_name'];
								$items[$i][$option]['options_conf_values_id'][$value_keys[$v]] = $value[$value_keys[$v]];
								$items[$i][$option]['items_options_conf_values_name'][$value_keys[$v]] = $characteristics_values['items_options_conf_values_name'];
								$items[$i][$option]['options_conf_values_price'][$value_keys[$v]] = $characteristics_values['options_conf_values_price'];
								$items[$i][$option]['price_prefix'][$value_keys[$v]] = $characteristics_values['price_prefix'];
								$items[$i][$option]['items_characteristics_conf_id'][$value_keys[$v]] = $characteristics_values['items_characteristics_conf_id'];
							}
						}
						else {
							$characteristics = go_db_query("select popt.items_options_conf_name, poval.items_options_conf_values_name, pa.options_conf_values_price, pa.price_prefix, pa.items_characteristics_conf_id
									from " . DB_TBL_ITEMS_OPTIONS_CONF . " popt, " . DB_TBL_ITEMS_OPTIONS_CONF_VALUES . " poval, " . DB_TBL_ITEMS_CHARACTERISTICS_CONF . " pa
									where pa.items_id = '" . $items[$i]['id'] . "'
									and pa.options_conf_id = '" . $option . "'
									and pa.options_conf_id = popt.items_options_conf_id
									and pa.options_conf_values_id = '" . $value . "'
									and pa.options_conf_values_id = poval.items_options_conf_values_id
									and popt.language_id = '" . $languages_id . "'
									and poval.language_id = '" . $languages_id . "'");
							$characteristics_values = go_db_fetch_array($characteristics);
							$items[$i][$option]['items_options_conf_name'] = $characteristics_values['items_options_conf_name'];
							$items[$i][$option]['options_conf_values_id'] = $value;
							$items[$i][$option]['items_options_conf_values_name'] = $characteristics_values['items_options_conf_values_name'];
							$items[$i][$option]['options_conf_values_price'] = $characteristics_values['options_conf_values_price'];
							$items[$i][$option]['price_prefix'] = $characteristics_values['price_prefix'];
							$items[$i][$option]['items_characteristics_conf_id'] = $characteristics_values['items_characteristics_conf_id'];
						}//not array						
					}
				}// if konfigurator
			}
		}

	}


	$zaehler_attr_anzahl = 0;
	for ($i=0, $n=sizeof($items); $i<$n; $i++) {
		if (($i/2) == floor($i/2)) {
			$info_frame_contents[] = array('params' => 'class="itemListing-even"');
		} else {
			$info_frame_contents[] = array('params' => 'class="itemListing-odd"');
		}
		$cur_row = sizeof($info_frame_contents) - 1;
		$info_frame_contents[$cur_row][] = array('align' => 'center',
				'params' => 'class="itemListing-data" valign="top"',
				'text' => go_fetch_checkbox_field('cart_delete[]', $items[$i]['id'])); 
		$picture_frame = picture_frame();
		$items_name = '<table border="0" cellspacing="2" cellpadding="2">' .
			'  <tr>' .
			'    <td class="itemListing-data" align="center">' . $picture_frame['begin_frame'] . '<a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_34], 'items_id=' . $items[$i]['id']) . '">' . go_picture(FOLDER_RELATIV_PICTURES . $items[$i]['picture'], $items[$i]['name'], SMALL_PICTURE_WIDTH, SMALL_PICTURE_HEIGHT) . $picture_frame['end_frame'] .'</a></td>' .
			'    <td class="itemListing-data" valign="top"><a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_34], 'items_id=' . $items[$i]['id']) . '"><b>' . $items[$i]['name'] . '<br><br><img src="' . FOLDER_RELATIV_PIC_SYSTEM_TEMPLATES . 'details.gif" border="0"></b></a> ';
		if (STOCK_CHECK == 'true') {
			$stock_check = go_check_stock($items[$i]['id'], $items[$i]['quantity']); 
			if (go_not_null($stock_check)) {
				$any_out_of_stock = 1;
				$items_name .= $stock_check;
			}
		}




		if (isset($items[$i]['characteristics']) && is_array($items[$i]['characteristics'])) {
			reset($items[$i]['characteristics']);


			if (KONFIGURATOR=='true'){

				if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/konfigurator')) {
					include(FOLDER_ABSOLUT_CATALOG . 'modules/konfigurator/content/main_bigware_69b.tbl.php');
				}
				else{
					while (list($option, $value) = each($items[$i]['characteristics'])) { 

						if (is_array($value)){
							$value_keys = array_keys($value);
							for ($v=0;$v<sizeof($value_keys);$v++){
								if ($items[$i][$option]['items_options_conf_values_name'][$value_keys[$v]]!=""){

									$values_qty_query = go_db_query("SELECT qty FROM " . DB_TBL_ITEMS_CHARACTERISTICS_CONF . " WHERE items_characteristics_conf_id='" . $items[$i][$option]['items_characteristics_conf_id'][$value_keys[$v]] . "'");
									$values_qty_query_result=go_db_fetch_array($values_qty_query);       		
									if ($values_qty_query_result['qty'] < $items[$i]['quantity']){
										if ($values_qty_query_result['qty'] != ""){
											$output_attr_anzahl = " <font color=\"#FF0000\">(Verf�gbar: " . $values_qty_query_result['qty'] . ")</font>";
											$zaehler_attr_anzahl += 1;	
										}
									}
									else{
										$output_attr_anzahl = "";
										$zaehler_attr_anzahl += 0;
									}
									$items_name .= '<br><small><i> - ' . $items[$i][$option]['items_options_conf_name'][$value_keys[$v]] . ': ' . $items[$i][$option]['items_options_conf_values_name'][$value_keys[$v]] . $output_attr_anzahl .'</i></small>';
								}//if
							}
						}
						else {
							if ($items[$i][$option]['items_options_conf_values_name']!=""){

								$values_qty_query = go_db_query("SELECT qty FROM " . DB_TBL_ITEMS_CHARACTERISTICS_CONF . " WHERE items_characteristics_conf_id='" . $items[$i][$option]['items_characteristics_id'] . "'");
								$values_qty_query_result=go_db_fetch_array($values_qty_query);       		
								if ($values_qty_query_result['qty'] < $items[$i]['quantity']){
									if ($values_qty_query_result['qty'] != ""){
										$output_attr_anzahl = " <font color=\"#FF0000\">(Verf�gbar: " . $values_qty_query_result['qty'] . ")</font>";
										$zaehler_attr_anzahl += 1;	
									}
								}
								else{
									$output_attr_anzahl = "";
									$zaehler_attr_anzahl += 0;
								}
								$items_name .= '<br><small><i> - ' . $items[$i][$option]['items_options_conf_name'] . ': ' . $items[$i][$option]['items_options_conf_values_name'] . $output_attr_anzahl .'</i></small>';
							}//if
						}//not array

					}//while						
				}


			}//if konfigurator
			else{
				//print_r($items[$i]);
				while (list($option, $value) = each($items[$i]['characteristics'])) {


					if ($items[$i]['characteristics_more'][$option]['items_options_values_name']!=""){  	      		
						if ($items[$i]['characteristics_more'][$option]['qty'] < $items[$i]['quantity']){

							if ($items[$i]['characteristics_more'][$option]['qty'] != ""){

								$output_attr_anzahl = " <font color=\"#FF0000\">(Verf�gbar: " . $items[$i]['characteristics_more'][$option]['qty'] . ")</font>";
								$zaehler_attr_anzahl += 1;	
							}
						}
						else{
							$output_attr_anzahl = "";
							$zaehler_attr_anzahl += 0;
						}
						$items_name .= '<br><small><i> - ' . $items[$i]['characteristics_more'][$option]['items_options_name'] . ': ' . $items[$i]['characteristics_more'][$option]['items_options_values_name'] . $output_attr_anzahl .'</i></small>';
					}//if	

				}





			}//not Konfigurator
		}//if characteristics
		$items_name .= '    </td>' .
			'  </tr>' .
			'</table>';
		$info_frame_contents[$cur_row][] = array('params' => 'class="itemListing-data"',
				'text' => $items_name);
		if ($items[$i]['items_price_option']!=0){

			if ($items[$i]['items_price_option']==1){$price_option_name="qm";}
			elseif ($items[$i]['items_price_option']==2){$price_option_name="qmm";}
			elseif ($items[$i]['items_price_option']==3){$price_option_name="lfdm";}
			elseif ($items[$i]['items_price_option']==4){$price_option_name="U lfdm";}


			if ($items[$i]['items_price_option'] == 4){
				$quadratur_display = (($items[$i]['laenge']*2/$getImMeter[$i])+($items[$i]['breite']*2/$getInMeter_breite[$i]));	
			} else {
				$quadratur_display = (($items[$i]['laenge']/$getImMeter[$i])*($items[$i]['breite']/$getInMeter_breite[$i]));
			}

			if ($items[$i]['items_basis_price'] > 0) {
				$basis_price = ' + ' . $items[$i]['quantity'] . ' x ' .$currencies->display_price($items[$i]['items_basis_price'], go_get_tax_rate($items[$i]['tax_class_id']));
			} else {
				$basis_price = '';
			}

			$displayDim = '<br>' . $items[$i]['quantity'] . ' x ' . $quadratur_display . ' ' . $price_option_name . ' x ' . $currencies->display_price($items[$i]['final_price'], go_get_tax_rate($items[$i]['tax_class_id'])) . $basis_price . '<br>Abmessung: ' . $items[$i]['laenge'].' mm x '.$items[$i]['breite']. ' mm<br>' . $items[$i]['price_option_comment'];
		} else { 
			$displayDim="";
		}

		// Loopthrough1b   



		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/masseinheitenartikel')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/masseinheitenartikel/content/main_bigware_69b.tpl.php');
		}
		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/domain_reg')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/domain_reg/content/main_bigware_69.tpl.php');
		}
		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/download')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/download/content/main_bigware_69b.tpl.php');
		}

		$new_hiddens .= go_fetch_hidden_field('add_cart_variable_serialize[' . $i . ']', $items[$i]['add_cart_variable_serialize']);

		if ($items[$i]['domainservice_status'] != '0'){	
			$cart_quantity_field = go_fetch_hidden_field('cart_quantity[]', $items[$i]['quantity']);
		}
		else{
			$cart_quantity_field = go_fetch_inputfeld('cart_quantity[]', $items[$i]['quantity'], 'size="4"');
		}


		// Loopthrough1c	


		$info_frame_contents[$cur_row][] = array('align' => 'center',
				'params' => 'class="itemListing-data" valign="top"',
				'text' => $cart_quantity_field . go_fetch_hidden_field('items_id[]', $items[$i]['id']).go_fetch_hidden_field('cart_laenge[]', $items[$i]['laenge']).go_fetch_hidden_field('cart_breite[]', $items[$i]['breite']).go_fetch_hidden_field('cart_immeter[]', $items[$i]['immeter']).go_fetch_hidden_field('cart_inmeter_breite[]', $items[$i]['inmeter_breite']).go_fetch_hidden_field('cart_price_option_comment[]', $items[$i]['price_option_comment']). $displayDim . $new_hiddens);


		$info_frame_contents[$cur_row][] = array('align' => 'right',
				'params' => 'class="itemListing-data" valign="top"',
				'text' => '<b>' . $currencies->display_price_shopping_card($items[$i]['final_price'], go_get_tax_rate($items[$i]['tax_class_id']), $items[$i]['quantity'],$items[$i]['laenge'],$items[$i]['breite'],$getImMeter[$i],$getInMeter_breite[$i],$items[$i]['items_price_option'], $items[$i]['price_option_comment'], $items[$i]['items_basis_price']) . '</b>');   

		// Loopthrough1d

		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/extra_costumer_input_for_items')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/extra_costumer_input_for_items/content/main_bigware_69b.tpl.php');
		}

		if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/masseinheitenartikel')) {
			require(FOLDER_ABSOLUT_CATALOG . 'modules/masseinheitenartikel/content/main_bigware_69c.tpl.php');
		}   

	}		

	//print_r($info_frame_contents);

	new itemListingBox($info_frame_contents);
	?>
		</td>
		</tr>
		<tr>
		<td><?php echo go_fetch_dividing_up('tranparentes.gif', '100%', '10'); ?></td>
		</tr>
		<tr>
		<td align="right" class="main"><b><?php echo SUB_TITLE_SUB_TOTAL; ?> <?php  echo $currencies->format($cart->show_total()) . '<br> <a class="shipping" href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_67]). '" target="_blank">' . TEXT_SHIPPING_INFO .'</a>'; ?></b></td>
		</tr>
		<?php
		if (MAX_ITEMS_PER_ORDER > 0 && ($cart->count_contents() > MAX_ITEMS_PER_ORDER)) {
			echo '<tr><td class="stockWarning" align="center"><br>'.MAX_ITEMS_PER_ORDER_ALERT.'</td></tr>';
		}
		if ($any_out_of_stock == 1) {
			if (STOCK_ALLOW_CHECKOUT == 'true') {
				?>
					<tr>
					<td class="stockWarning" align="center"><br><?php echo OUT_OF_STOCK_CAN_CHECKOUT; ?></td>
					</tr>
					<?php
			} else {
				?>
					<tr>
					<td class="stockWarning" align="center"><br><?php echo OUT_OF_STOCK_CANT_CHECKOUT; ?></td>
					</tr>
					<?php
			}
		}
		$discount = $cart->discount() + 0;
		if ($discount > 0) {
			$discount_message = preg_replace('/<-DISCOUNT->|&lt;-DISCOUNT-&gt;/i', $discount, SHOPPING_CARD_DISCOUNT);
			echo '<tr><td class="discountMessage" align="center"><br>'.$discount_message.'</td></tr>';
		}
	?>
      <tr>
        <td><?php echo go_fetch_dividing_up('tranparentes.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" style="width:100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoFrameInsides">
            <td><table border="0" style="width:100%" cellspacing="0" cellpadding="2">
              <tr>
                <td style="width:10px"><?php echo go_fetch_dividing_up('tranparentes.gif', '10', '1'); ?></td>
                <td class="main"><?php echo go_picture_submit('button_update_cart.gif', PICTURE_BUTTON_UPDATE_CART); ?></td>
		<?php
		$back = sizeof($navigation->path)-2; 
		if ($navigation->path[$back]['page']==$GLOBALS[CONFIG_NAME_FILE][main_bigware_34]) {$back--;}
		$continue_shopping = isset($navigation->path[$back]) ? go_href_link($navigation->path[$back]['page'], go_array_to_string($navigation->path[$back]['get'], array('action')), $navigation->path[$back]['mode']) : FOLDER_RELATIV_CATALOG;
		?>
                <td class="main"><?php   echo '<a href="'.$continue_shopping.'">' . go_picture_button('button_continue_shopping.gif', PICTURE_BUTTON_CONTINUE_SHOPPING) . '</a>'; ?></td>
                <td align="right" class="main">
                <?php
		if ($zaehler_attr_anzahl == 0){
			if (file_exists(FOLDER_ABSOLUT_CATALOG . 'modules/affili_shop')) {
				require(FOLDER_ABSOLUT_CATALOG . 'modules/affili_shop/content/main_bigware_69b.tpl.php');
			}else{
				echo '<a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_66], '', 'SSL') . '">' . go_picture_button('button_checkout.gif', PICTURE_BUTTON_CHECKOUT) . '</a>'; 
			}
		}
		else{
			echo '<font color="#FF0000">' . OUT_OF_STOCK_CANT_CHECKOUT_SECOND . '</font>';
		}
                 ?>
                 </td>
                <td style="width:10px"><?php echo go_fetch_dividing_up('tranparentes.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table>
<?php
  } else {
?>
      <tr>
        <td align="center" class="main"><?php new infoBox(array(array('text' => TEXT_CART_EMPTY))); ?></td>
      </tr>
      <tr>
        <td><?php echo go_fetch_dividing_up('tranparentes.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td>
        <table border="0" style="width:100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoFrameInsides">
            <td><table border="0" style="width:100%" cellspacing="0" cellpadding="2">
              <tr>
                <td style="width:10px"><?php echo go_fetch_dividing_up('tranparentes.gif', '10', '1'); ?></td>
                <td align="right" class="main"><?php echo '<a href="' . go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_29]) . '">' . go_picture_button('button_continue.gif', PICTURE_BUTTON_CONTINUE) . '</a>'; ?></td>
                <td style="width:10px"><?php echo go_fetch_dividing_up('tranparentes.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
  </form>
<?php
  }
include('load_this/preloader_footer.php');
?>
